/* --8<--8<--8<--8<--
 *
 * Copyright (C) 2007 Smithsonian Astrophysical Observatory
 *
 * This file is part of enwtsum
 *
 * enwtsum is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or (at
 * your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * -->8-->8-->8-->8-- */

#include "main.h"

int
node_cmp( const void *n1, const void *n2 )
{
  double e1 = ((EnWtSum *) n1)->energy;
  double e2 = ((EnWtSum *) n2)->energy;

  return
    e1 > e2 ?  1 :
    e1 < e2 ? -1 :
    0;
}

int
key_cmp( const void *en , const void *node )
{
  double energy = * ( double * ) en;
  double enode = ((EnWtSum *) node)->energy;

  return
    energy > enode ?  1 :
    energy < enode ? -1 :
    0;

}
