/* --8<--8<--8<--8<--
 *
 * Copyright (C) 2007 Smithsonian Astrophysical Observatory
 *
 * This file is part of enwtsum
 *
 * enwtsum is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or (at
 * your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * -->8-->8-->8-->8-- */

#include <stdlib.h>
#include <stdio.h>

#include <suplib/debug.h>
#include <tparam/tparam.h>
#include <tracefct/tracefct.h>

#include "main.h"

void
gparam(Common *c, int argc, char *argv[])
{
  paramfile pf;
  
  tf_enter("gparam");

  pf = tparamopen(NULL, argv, argc, "r");

  c->version = tpgetb(pf, "version");
  c->help = tpgetb(pf, "help");
  if (! ( c->version || c->help ) )
  {
    /* input file */
    tpgetstr(pf, "input", c->input, NAME_LENGTH, 1);

    /* output file */
    tpgetstr(pf, "output", c->output, NAME_LENGTH, 1);
    
    /* log file */
    tpgetstr(pf, "logfile", c->logfile, NAME_LENGTH, 1);
  }

  paramclose(pf);
  tf_leave();
}
