/* --8<--8<--8<--8<--
 *
 * Copyright (C) 2007 Smithsonian Astrophysical Observatory
 *
 * This file is part of enwtsum
 *
 * enwtsum is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or (at
 * your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * -->8-->8-->8-->8-- */

#include <stdio.h>
#include <stdlib.h>
#include <libgen.h>

#include <rbtree/rbtree.h>
#include <tracefct/tracefct.h>
#include <suplib/file.h>


#include "main.h"
#include "config.h"

int
main(int argc, char *argv[])
{
  Common c;
  char *prog = basename( argv[0] );

  tf_init(prog, 0, 0);

  gparam(&c, argc, argv);

  if (c.version)
    fprintf(stderr, "%s %s\n", prog, VERSION);

  else if ( c.help )
    usage();

  else
  {
    /* create tree which will hold results */
    RBTree tree = rbtree_new( node_cmp );
    process(&c, tree);
    output( &c, tree );
    rbtree_delete( tree, free, IN_ORDER, LEFT_TO_RIGHT );
  }

  return EXIT_SUCCESS;
}
