#ifndef MAIN_H
#define MAIN_H

/* --8<--8<--8<--8<--
 *
 * Copyright (C) 2007 Smithsonian Astrophysical Observatory
 *
 * This file is part of enwtsum
 *
 * enwtsum is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or (at
 * your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * -->8-->8-->8-->8-- */

#include <stddef.h>
#include <rbtree/rbtree.h>

#define DEBUG_LENGTH 255
#define NAME_LENGTH 255

typedef struct
{
  char input[NAME_LENGTH + 1];
  char output[NAME_LENGTH + 1];
  char logfile[NAME_LENGTH + 1];

  int version;
  int help;
} Common;

typedef struct
{
  double energy;
  double wt;
  unsigned int n;
} EnWtSum;

int	node_cmp( const void *n1, const void *n2 );
int	key_cmp( const void *en, const void *node );
void	output( Common *c, RBTree tree );
void	gparam(Common *c, int argc, char *argv[]);
void	usage( void );
void	process(Common *c, RBTree tree);

#endif /* !MAIN_H */
